# Zoom Video Module

Zoom Video Module handles creating and managing Zoom meetings from your Drupal
site. This module uses the Zoom API and SDK to interact with Zoom's service.

## Getting Started

1. Install and enable the `zoom_video` module.
2. Go to the App Marketplace: https://marketplace.zoom.us/develop/create
3. Create meeting SDK app.
4. Choose the name you want(you can keep the app unpunished).
5. Fill in all the required information on the APP configuration page.
6. Go to the APP credentials and copy for us the Client ID and the Client
   Secret.
7. Go to /admin/config/development/zoom and add this info there.

## Requirements

- drupal 10
- firebase/php-jwt library

## Installation

1. Navigate to the Extend page of Drupal site and install `Zoom Video` module.
2. Ensure that you have your Zoom SDK Key and Secret.

### Libraries

This module uses `firebase/php-jwt`. So, ensure that this library is correctly
configured, and the files are accessible.

## Configuration

1. Go to module configuration: `Configuration -> Zoom Video Settings`.
2. Add Zoom SDK Key and Secret to appropriate text fields and save.

## Usage

This module provides a new field type, `zoom_video_field`. When this module is
enabled, you have access to this field type which can be added to any Drupal
entity type. For rendering field you can use the default field formatter
provided by the module.

## Troubleshooting

Any issues: check if Zoom SDK JS library files are correctly included on the
page.

## Acknowledgments

Built within the Drupal community with help from Leonid Bogdanovych at ImageX.
And, of course, thanks to the community and all contributors. For questions or
feedback, please open an issue.
